#スタッキングされたdark(or bias)画像作りのスクリプト#

string *list1,*list2
string fn1,fn2,fn3
real   a,b,c
int    l,m
##############書き換えるのはココだけ######################
fn1="law-dark90s.lis"   #インプットリスト。dark生データ#
fn2="dark90s.fits"    #出力画像名#
######################################################
list1=fn1

#単にimcombに放り込むリストを作るためのloop#
while (fscan (list1, fn3) != EOF) #list1=インプットリストの上から１flame毎ループさせる。今考えてる？番目のfitsファイルをfn3として認識#
  {
     print (fn3, >> "hoge.lis")
   }

#stackする前の画像の統計量を表示#
imstat ("@hoge.lis",
fields="image,midpt,mean,stddev,min,max", lower=INDEF, upper=INDEF, nclip=1,
lsigma=3., usigma=3., binwidth=0.1, format=yes, cache=no)

#stacking#
imcombine ("@hoge.lis",fn2, headers="", bpmasks="", rejmasks="", nrejmasks="", expmasks="", sigmas="", logfile="STDOUT", combine="median", reject="sigclip", project=no, outtype="real", outlimits="", offsets="none", masktype="none", maskvalue="0", blank=0., scale="none", zero="none", weight="none", statsec="", expname="", lthreshold=INDEF, hthreshold=INDEF, nlow=1, nhigh=1, nkeep=1, mclip=yes, lsigma=5., hsigma=5., rdnoise="0.", gain="1.", snoise="0.", sigscale=0.1, pclip=-0.5, grow=0.)

#stack後の統計量の表示#
imstat (fn2,
fields="image,midpt,mean,stddev,min,max", lower=INDEF, upper=INDEF, nclip=1,
lsigma=3., usigma=3., binwidth=0.1, format=yes, cache=no)

#いらないものの削除#
!rm hoge.lis

list1=""
