#flat-fieldingまでされた画像に対してsky引きするスクリプト.sky引きの方法は単純に画像のmedian値をsky-countとみなして引き算するだけ.出力は、sky引きされた画像、skyカウントのリスト"skycount.dat"(時間は日本時間)#

string *list1,*list2,*list3
string fn1,fn2,fn3,fn4,fn5,fn6
real   a,b,c
int    l,m
##############書き換えるのはココだけ######################
fn1="flSA104B-all.lis"   #インプットリスト。flat-fieldingまでされた画像#
fn2="subskySA104B-all.lis"      #出来上がりの画像リスト名.あらかじめ作っておいてください# 
fn5="flSA104B-estsky.lis"      #sky推定をfn1以外の画像で行う場合(例えば画像自体は同じだが使う領域を中心付近のみにするなど)、ここにそのリスト名を入れる。fn1と同じなら同じリスト名を入れる。#
######################################################
list1=fn1
list2=fn2
list3=fn5

#リスト作成loop#
delete ("hogetime.lis",ver-, >& "dev$null")
while (fscan (list1, fn3) != EOF) #list1=インプットリストの上から１flame毎ループさせる。今考えてる？番目のfitsファイルをfn3として認識#
  {
    #flat割りまでされたデータのリスト化#
    print (fn3, >> "pre-subsky.lis")
    #ヘッダーから時間読み出して、カタログ化#
    hselect (fn3, "DATE-OBS", "yes", missing="INDEF", >> "hogetime.lis")
  }
!paste pre-subsky.lis hogetime.lis | awk '{print $1,substr($2,12,20)}' | sed 's/:/ /g' | awk '{print $1,($2+9)+($3/60)+($4/3600)}' > hogetime.cat

while (fscan (list2, fn4) != EOF) 
  {
    #sky引き後のリスト化#
    print (fn4, >> "post-subsky.lis")
   }

while (fscan (list3, fn6) != EOF) 
  {
    #sky推定用画像のリスト化#
    print (fn6, >> "hogesky-est.lis")
   }

print ("pre sky-subtraction")
imstat ("@pre-subsky.lis",fields="image,midpt,mean,stddev,min,max", lower=INDEF, upper=INDEF, nclip=1,lsigma=3., usigma=3., binwidth=0.1, format=yes, cache=no)

#skyレベルの推定、時系列のリスト化#
delete ("skycount.dat",ver-, >& "dev$null")
delete ("hogesky.lis",ver-, >& "dev$null")
delete ("hogesky+.lis",ver-, >& "dev$null")
print ("skylevel-estimate start,,,,")
imstat ("@hogesky-est.lis",fields="image,midpt", lower=INDEF, upper=INDEF, nclip=1,lsigma=3., usigma=3., binwidth=0.1, format=no, cache=no, >> "hogesky+.lis")

!awk '{print $2}' hogesky+.lis > hogesky.lis
!paste hogetime.cat hogesky+.lis > skycount.dat

#sky引き#
print ("sky-subtracting start,,,,")
imarith ("@pre-subsky.lis","-", "@hogesky.lis", "@post-subsky.lis", title="", divzero=0., hparams="",pixtype="", calctype="",verbose=no, noact=no)

print ("post sky-subtraction")
imstat ("@post-subsky.lis",fields="image,midpt,mean,stddev,min,max", lower=INDEF, upper=INDEF, nclip=1,lsigma=3., usigma=3., binwidth=0.1, format=yes, cache=no)


#いらないものの削除#
!rm pre-subsky.lis
!rm post-subsky.lis
!rm hogesky-est.lis
!rm hogetime.lis
!rm hogetime.cat
!rm hogesky.lis
!rm hogesky+.lis
list1=""
list2=""
list3=""
