#HD189733測光データとSTD測光データからflux-ratioを求めてカタログ化するスクリプト#

#!/bin/sh

x=1

#ダミーファイルを念のためあらかじめ消しとく#
if [ -e hoge-flux.cat ]; then
   rm hoge-flux.cat
fi
if [ -e hoge-No.cat ]; then
   rm hoge-No.cat
fi
if [ -e hoge-flux+.cat ]; then
   rm hoge-flux+.cat
fi

#flaux-ratioのカタログ化#
while [ $x -ne 1300 ]
do

  if [ -e selectHD000${x}.cat ]; then  
     paste selectHD000${x}.cat selectSTD000${x}.cat | awk '{print $2,$9,$2/$9}' >> hoge-flux.cat
  echo "$x" >> hoge-No.cat
  fi
  if [ -e selectHD00${x}.cat ]; then  
     paste selectHD00${x}.cat selectSTD00${x}.cat | awk '{print $2,$9,$2/$9}' >> hoge-flux.cat
  echo "$x" >> hoge-No.cat
  fi
  if [ -e selectHD0${x}.cat ]; then  
     paste selectHD0${x}.cat selectSTD0${x}.cat | awk '{print $2,$9,$2/$9}' >> hoge-flux.cat
  echo "$x" >> hoge-No.cat
  fi
  if [ -e selectHD${x}.cat ]; then  
     paste selectHD${x}.cat selectSTD${x}.cat | awk '{print $2,$9,$2/$9}' >> hoge-flux.cat
  echo "$x" >> hoge-No.cat
  fi


paste hoge-No.cat hoge-flux.cat > hoge-flux+.cat    #「ID_No,HD-flux(ap=10),STD-flux,flux-ratio」#

echo "x=$x"
x=`expr $x + 1`
done


paste time-to-detect_number+.cat hoge-flux+.cat | awk '{print $11,$2,$3,$12,$13,$14,$1-$11}' > time-flux_ratio.cat    #「ID_No,ID,time,HD-flux(ap=10),STD-flux,flux-ratio,flag」 flagは0ならOK#

rm hoge-flux.cat
rm hoge-flux+.cat
rm hoge-No.cat




