#dark引き+flat-fieldingのスクリプト.出力は、flat-fieldingまでされた画像、#

string *list1,*list2
string fn1,fn2,fn3,fn4,fn5,fn6
real   a,b,c
int    l,m
##############書き換えるのはココだけ######################
fn1="law-HD189733L1s.lis"   #インプットリスト。生データ#
fn2="../dark/dark1s.fits" #darkまたはbias画像#
fn4="../flat/skyflat-L.fits" #skyflat#
fn5="fl-HD189733-1sL.lis"      #出来上がりの画像リスト名.あらかじめ作っておいてください# 
######################################################
list1=fn1
list2=fn5

#リスト作成loop#
while (fscan (list1, fn3) != EOF) #list1=インプットリストの上から１flame毎ループさせる。今考えてる？番目のfitsファイルをfn3として認識#
  {
    #生データのリスト化#
    print (fn3, >> "pre-dark.lis")
    #ダーク引き後用のリスト#
    print ("subD"//fn3, >> "post-dark.lis")
  }
while (fscan (list2, fn6) != EOF) 
  {
    #flat割り後のリスト化#
    print (fn6, >> "post-fl.lis")
   }


print ("pre dark-subtraction")
imstat ("@pre-dark.lis",fields="image,midpt,mean,stddev,min,max", lower=INDEF, upper=INDEF, nclip=1,lsigma=3., usigma=3., binwidth=0.1, format=yes, cache=no)

#ダーク引き#
imarith ("@pre-dark.lis","-", fn2, "@post-dark.lis", title="", divzero=0., hparams="",pixtype="", calctype="",verbose=no, noact=no)

print ("post dark-subtraction")
imstat ("@post-dark.lis",fields="image,midpt,mean,stddev,min,max", lower=INDEF, upper=INDEF, nclip=1,lsigma=3., usigma=3., binwidth=0.1, format=yes, cache=no)


#flat-fielding#
imarith ("@post-dark.lis","/", fn4, "@post-fl.lis", title="", divzero=0., hparams="",pixtype="", calctype="",verbose=no, noact=no)

print ("post flat-fielding")
imstat ("@post-fl.lis",fields="image,midpt,mean,stddev,min,max", lower=INDEF, upper=INDEF, nclip=1,lsigma=3., usigma=3., binwidth=0.1, format=yes, cache=no)


#いらないものの削除#
!rm pre-dark.lis
!rm post-fl.lis
imdelete ("@post-dark.lis")
!rm post-dark.lis

list1=""
list2=""
