#flat作成のスクリプト.出力は、１に規格化されたflat画像、normalizeする前の各画像のmedian値リスト"subD-flat-midpt.lis"#

string *list1,*list2
string fn1,fn2,fn3,fn4
real   a,b,c
int    l,m
##############書き換えるのはココだけ######################
fn1="law-skyflatV5s-.lis"   #インプットリスト。flat生データ#
fn2="../bias/bias.fits" #darkまたはbias画像#
fn4="skyflat-V-.fits"      #出来上がりのflat画像名# 
######################################################
list1=fn1

#リスト作成loop#
while (fscan (list1, fn3) != EOF) #list1=インプットリストの上から１flame毎ループさせる。今考えてる？番目のfitsファイルをfn3として認識#
  {
    #生データのリスト化#
    print (fn3, >> "pre-dark.lis")
    #ダーク引き後用のリスト#
    print ("subD"//fn3, >> "post-dark.lis")
    #規格化後用のリスト#
    print ("norm"//fn3, >> "post-norm.lis")
  }
print ("pre dark-subtraction")
imstat ("@pre-dark.lis",fields="image,midpt,mean,stddev,min,max", lower=INDEF, upper=INDEF, nclip=1,lsigma=3., usigma=3., binwidth=0.1, format=yes, cache=no)

#ダーク引き#
imarith ("@pre-dark.lis","-", fn2, "@post-dark.lis", title="", divzero=0., hparams="",pixtype="", calctype="",verbose=no, noact=no)

print ("post dark-subtraction")
imstat ("@post-dark.lis",fields="image,midpt,mean,stddev,min,max", lower=INDEF, upper=INDEF, nclip=1,lsigma=3., usigma=3., binwidth=0.1, format=yes, cache=no)


#各画像の規格化#
##median値のリスト化##
delete ("subD-flat-midpt.lis",ver-, >& "dev$null")
imstat ("@post-dark.lis",fields="midpt", lower=INDEF, upper=INDEF, nclip=1,lsigma=3., usigma=3., binwidth=0.1, format=no, cache=no, >> "subD-flat-midpt.lis")

imarith ("@post-dark.lis","/", "@subD-flat-midpt.lis", "@post-norm.lis", title="", divzero=0., hparams="",pixtype="", calctype="",verbose=no, noact=no)


#stacking#
imcombine ("@post-norm.lis",fn4, headers="", bpmasks="", rejmasks="", nrejmasks="", expmasks="",
sigmas="", logfile="STDOUT", combine="median", reject="sigclip",
project=no, outtype="real", outlimits="", offsets="none", masktype="none",
maskvalue="0", blank=0., scale="none", zero="none", weight="none", statsec="",
expname="", lthreshold=INDEF, hthreshold=INDEF, nlow=1, nhigh=1, nkeep=1,
mclip=yes, lsigma=5., hsigma=5., rdnoise="0.", gain="1.", snoise="0.",
sigscale=0.1, pclip=-0.5, grow=0.)

print ("quality of the final flat-image")
imstat (fn4,fields="image,midpt,mean,stddev,min,max", lower=INDEF, upper=INDEF, nclip=1,lsigma=3., usigma=3., binwidth=0.1, format=yes, cache=no)


#いらないものの削除#
!rm pre-dark.lis
imdelete ("@post-dark.lis")
imdelete ("@post-norm.lis")
!rm post-dark.lis
!rm post-norm.lis

list1=""
